• Heeft je ouwe 32 bit EFI Mac (Pro) afgedaan? Nope!

    Zoals jullie weten kunnen de oudste Mac (Pro')s ( de 1.1 en 2.1) niet opstarten in 64 bit modus, terwijl deze eigenlijk toch al wél beschikken over een 64 bits architectuur. Hetzelfde geldt voor alle vroegste Intel Macs, dus Mini's en MacBook (Pro)'s incluus.Vanaf Mountain Lion heeft Apple namelijk onbegrijpelijk genoeg alle ondersteuning voor de Macs die nog werken met een 32 bit EFI boot rom laten vallen.
    Verder hekel punt is dat Mountain Lion ook niet meer beschikt over drivers voor een aantal grafische kaarten, zoals de Intel GMA 950 of X3100 van de oudste Mac Pro's.
    Misschien hebben sommigen onder jullie al geprobeerd om Mountain Lion of zelfs Mavericks te installeren op zo een Mac. Om vast te stellen dat de Apple Installer een compatibiliteitscontrole uitvoert, en dan de installatie prompt weigert.
    Tot voor kort waren er ingewikkelde omwegen om die Mountain Lion installatie toch tot een goed einde te brengen, zoals bijvoorbeeld netjes gedocumenteerd op: http://www.everymac.com/mac-answers/...tain-lion.html
    Andere omwegen leiden naar het gebruik van Chameleon OS, iets waar ikzelf niet verder over ga nalezen wegens te omslachtig: http://en.wikipedia.org/wiki/OSx86#Chameleon
    Komt eigenlijk neer op een Hackintosh maken van je eigen Mac met véél studeren, experimenteren met hardware ( vooral grafische kaarten en drivers) enzovoort. Niet ideaal.
    Onlangs viel mijn oog op een véél makkelijker oplossing. Tiamo op MacRumors is namelijk zo ijverig en capabel geweest een alternatieve 32 naar 64 bits EFI bootrom samen te stellen, waarmee Mavericks installeerbaar wordt op de oude 32 bit EFI Macs. Vergt nog steeds erg veel knowhow en/of studie, maar het grootste obstakel is hiermee overwonnen.
    Wat hij hiermee neerzet is iets dat Apple altijd vierkant heeft geweigerd, wellicht om oude hardware sneller verouderd te maken. Mis poes, dus.
    Het is echter nog steeds niet helemaal duidelijk of dit nu een heuse 64 bit bootrom is, dan wel een 32 bitter die vertaalt naar 64.
    Als klap op de vuurpijl heeft in de daaropvolgende discussie Oemden een heus pakket geschreven om een Mavericks installer te maken, met Tiamo's 64 bits bootrom inbegrepen: Sixty Four On Thirty Two (SFOTT):
    http://oemden.com/?p=556

    Al wat je verder blijkbaar nodig hebt zijn een USB geheugenstick van minimaal 8GB, je Hardware-UUID ( te vinden in Systeemprofiel; schrijf het even netjes op), en mogelijk een gedownloade Mavericks. Precies weet ik het niet, want ik heb geen hardware paraat staan om dit te testen. In ieder geval ziet dit er veelbelovend uit.
    Een aantal hordes blijven bestaan:
    - het probleem met de GPU drivers blijft, maar velen hebben genoeg aan de meegeleverde generische drivers. MacPro gebruikers bestellen veelal gewoon een Mavericks compatibele videokaart ( bv. Radeon HD 7970).
    - een aantal gebruikers melden problemen met slaap/ hybernatiemodus- maar dat is al dikwijls zo met reguliere gebruikers.
    - sommigen rapporteren ook problemen met WiFi- maar zoals hierboven: even vaak een probleem met reguliere gebruikers.
    - na een software update dien je mogelijk de Tiamo 64 bit EFI bootrom terug te installeren. Over of een update deze bootrom overschrijft met de normale, is geen uitsluitsel.
    Compatibiliteit: aanvankelijk begonnen over uitsluitend Mac Pro's, lijken ook MacMini's binnen de prijzen te vallen. MB (P)s wellicht vooral niet omwille van gebrek aan GPU drivers.
    Legitimiteit: dit is een patch naar een legale distributie voorzover ik lees. Geen echte lawless Hackintosh.
    Nota bene: weet in elk geval dat door afscheid te nemen van Snow Leopard 10.6.8, je ook Rosetta finaal de deur uitgooit. Misschien beter even een Snow Leopard partitie of externe opstartschijf behouden: je weet maar nooit.
    Dit is zowat een Nederlandstalige samenvatting van een vrij lang topic. Wie er zin in heeft: bron:
    http://forums.macrumors.com/showthread.php?t=1598176
    Wie het schoentje past, trekke het aan, zou ik zeggen! Alle commentaar welkom.
    Dit artikel was oorspronkelijk geplaatst in forum onderwerp: Heeft je ouwe 32 bit EFI Mac (Pro) afgedaan? Nope! gestart door hexdiy Weergeef Oorspronkelijk Bericht
    Reacties 27 Reacties
    1. MathiasB's Avatar
      MathiasB -
      Bedankt voor de samenvatting hexdiy.
      Ik heb in het begin de thread wat gevold, maar uiteindelijk heb ik de stroom aan antwoorden aan me voorbij laten gaan.
    1. MathiasB's Avatar
      MathiasB -
      Voor de mensen die zich wat leeswerk willen besparen: http://forums.macrumors.com/showthread.php?t=1685804

      I thought I should write this up for two reasons. One it is way easier than I thought, and second there is a 2,1 MP with Mavericks post but no real guide on how to install MV. I was attempting to install 10.8.5 on my MP which previously had MLPostFactor but as soon as this got messed up I decided to go clean with Mavericks. This method uses Target Disk Mode with another mac to install.

      You can leave your stock 7300GT in your MP and it will work, however it is detected as 7MB so graphics in almost everything will be tripping out. The desktop and finder didn't seem to have an issue. Over time this guide will get clearer, just wanted to get it out there for now and build upon it!

      What you'll need:
      Mac Pro 1,1 or 2,1
      Upgraded Graphics Card (Preferably an Apple AMD 57/5870 card)
      Another Mac (one that can support 10.9 natively, 'installer' mac)
      8GB or bigger flash drive
      Firewire cable from MP to the 'installer' mac (FW400 or FW800)

      To start out, you need to have the "Install OS X Mavericks.app" file in your applications folder of the 'installer' mac (the mac that can natively run MV). Go ahead and follow this guide to make a flash drive. http://www.tips-and-tricks-in-maveri...install-drive/

      As soon as you are done with this you need to throw your Mac Pro into TDM (Target Disk Mode) and do this by holding down T as soon as you turn on the machine. When a firewire logo shows up you are set! Make sure your FireWire cable is plugged into your MP and the 'installer' mac.

      Reboot the 'installer' mac and hold down Alt/Option until a list of hard drives appear. Select your flash drive which will be called "OS X Install ESD" and wait for it to boot up.

      Select your language, and go to disk utility and make sure your proper Mac Pro drive is formatted to the way you like (this will have a FW logo on it, be sure not to select your internal 'installer' mac HDD!). Then when you are done go ahead and install it to your FW Mac Pro HDD.

      Upon rebooting on the 'installer' mac, hold down Alt/Option again and this time select the HDD you just installed Mavericks to. Wait for it to boot and set it up the way you would like. When you are done with that, reboot once again, and hold Alt/Option till you get the hard drives. Select your normal HDD and boot from that.

      Once booted, download boot.efi file from here: http://forums.macrumors.com/attachme...6&d=1385188522 and go into your HDD from the Mac Pro then replace the boot.efi in these 2 locations:
      System/Library/CoreServices/boot.efi
      usr/standalone/i386/boot.efi


      You are now OK to reboot your MP and boot into Mavericks! Good luck and enjoy!
      PS: 10.9.1 update will install without an issue. Download it from the Apple Site or App Store and install!
    1. hexdiy's Avatar
      hexdiy -
      Bedankt voor de follow up, Mathias!
    1. hexdiy's Avatar
      hexdiy -
      Update: SFOTT 1.4.2 voor Mavericks 10.9.2 is nu uitgebracht!
      http://oemden.com/?p=791
    1. a080905's Avatar
      a080905 -
      Groet probleem is dat ik Mount Lion heb gekocht bij Apple, maar deze toch in AppleStore weigert om hem down te lalden omdat mijn MacPro 2.1 niet compatibel is !
    1. cyrano's Avatar
      cyrano -
      Citaat Oorspronkelijk geplaatst door a080905 Bekijk Berichten
      Groet probleem is dat ik Mount Lion heb gekocht bij Apple, maar deze toch in AppleStore weigert om hem down te lalden omdat mijn MacPro 2.1 niet compatibel is !
      Andere Mac gebruiken?

      Een trucje om de Appstore om de tuin te leiden weet ik ook niet meteen...
    1. hexdiy's Avatar
      hexdiy -
      Mac Pro 2.1 is al wel interne 64 bits architectuur, maar nog steeds (U)EFI 32 bit boot rom, vandaar neemt wellicht de appstore die download niet aan. Dat is precies de reden om SFOTT te installeren op een 1.1 of 2.1 Mac Pro. Anders geraak je daarmee nooit voorbij 10.6.8.
      Ofwel downloaden op een recentere Mac, USB installer stick aanmaken, en proberen. Maar volgens mij gaat het zonder 64 bit boot rom op je 1.1 of 2.1 Mac Pro nooit lukken.
      Succes!http://www.everymac.com/mac-answers/...4-bit-efi.html
      Let op: deze link is een voorloper van de hele SFOTT ontwikkeling.
    1. Kaneda's Avatar
      Kaneda -
      Ge kunt er natuurlijk ook altijd Linux opzetten, hè
    1. a080905's Avatar
      a080905 -
      Citaat Oorspronkelijk geplaatst door hexdiy Bekijk Berichten
      Mac Pro 2.1 is al wel interne 64 bits architectuur, maar nog steeds (U)EFI 32 bit boot rom, vandaar neemt wellicht de appstore die download niet aan. Dat is precies de reden om SFOTT te installeren op een 1.1 of 2.1 Mac Pro. Anders geraak je daarmee nooit voorbij 10.6.8.
      Ofwel downloaden op een recentere Mac, USB installer stick aanmaken, en proberen. Maar volgens mij gaat het zonder 64 bit boot rom op je 1.1 of 2.1 Mac Pro nooit lukken.
      Succes!http://www.everymac.com/mac-answers/...4-bit-efi.html
      Let op: deze link is een voorloper van de hele SFOTT ontwikkeling.
      Dat ik de Mac of Applestore niet om de tuin kan leiden is een feit, ik zit wel al op 10.7.5, maar ik heb ook geen andere Mac om het te proberen,
      ik heb SFOOT laten lopen tot als hij mij vaagt naar mountain Lion of Mavericks en dan loop het vast want ik kan niks aanbieden.
      Heeeeeelp.

      Linux oké, maar VectorWorks2014 draait niet op Linux……. enkel op peecee of Mac.
    1. a080905's Avatar
      a080905 -
      Weet iemand op ik de processor van een Mac pro 3.1 ( heden een 2 x 2,8 GHz Quad-Core Intel Xeon ) kan upgraden naar een snellere processor ?
    1. cyrano's Avatar
      cyrano -
      Dat kan. Of het haalbaar is met nieuwe processoren? Die zijn al end-of-life en op ebay betaal je al gauw 80 tot 100 euro per processor. Een LGA771 X5482 moet zeker kunnen, want die monteert Apple zelf ook.

      Zie eens bij everymac.com:
      http://www.everymac.com/systems/appl...rocessors.html
    1. wych's Avatar
      wych -
      Werkt dit ook voor mijn 'oudje':

      Bijlage 5494

      en indien ja, is er iemand die dit iets duidelijker in het nederlands kan expliceren (mijn engels is niet je dat...)


      bedankt!
    1. cyrano's Avatar
      cyrano -
      Ik vrees van niet. Die is van voor het Intel tijdperk ,-)

      Linux of BSD kan daar dan weer wel probleemloos op. En 't is een mooi en snel machien. Maar met OSX is je G5 antiek, vrees ik.
    1. hexdiy's Avatar
      hexdiy -
      Strikt gesproken niet echt met OS 10.4.11 Tiger, noch met 10.5.8 Leopard. Daar loopt een G5 nog lekker op. Maar de G5 is zoveel jaren na de invoering van Intel processoren nauwelijks nog bruikbaar. Geloof me, ik moet er ook eentje aan de kant zetten.
      Ik heb nog een Powerbook G4 in werking op Leopard. Voor selecte toepassingen nog prima bruikbaar. Internet kan je quasi vergeten.
      Sorry!
    1. wych's Avatar
      wych -
      Jammer, ben er anders nog best tevreden van...behalve van bepaalde sites waarvan ik geen videofragmenten meer kan bekijken (oa de redactie...).
      Ik zal maar al beginnen sparen zeker?
    1. cyrano's Avatar
      cyrano -
      Citaat Oorspronkelijk geplaatst door wych Bekijk Berichten
      Ik zal maar al beginnen sparen zeker?
      Die G5 is na 10 jaar nog bruikbaar te noemen. Een ipad van 10 jaar heeft geen software meer beschikbaar en als Apple er zin in heeft, wissen ze bestaande software ook nog...

      Omgerekend moet je rekenen op een "Apple Tax" van zo'n 50 euro per maand om bij te blijven. Dat is één MB Pro per drie-vier jaar, of één ipad per jaar of per twee jaar, grofweg. De software is dan wel gratis of heel goedkoop.

      Een magere troost is dat Android devices nog sneller devalueren.
    1. applefreak's Avatar
      applefreak -
      G5 is na 10 jaar nog bruikbaar te noemen.
      Maar met OSX is je G5 antiek
      mijn G5 quad doet het nog voortreffelijk met 10.4.11, en soms vlotter dan mijn veel recentere iMac 3.4 GHz
    1. cyrano's Avatar
      cyrano -
      Ik zie nog G5's in gebruik - maar niet voor Internet (FB en consoorten)...
    1. hexdiy's Avatar
      hexdiy -
      Wych, deze wijze raad van ons aller mentor Applefreak noopt mij ertoe om je eerlijkheidshalve, en ook gezien mijn onderschrift hetvolgende te zeggen over je G5:
      - Je G5 kan best nog mee als je selectief oudere versies van programma's gebruikt. Niet makkelijk maar doenbaar. Ding is: selectief wil zeggen dat je héél goed moet weten welke soft nog wil lopen op jouw OS en G5 en welke niet. En zeker niet zomaar soft downloaden, grote kans dat die niet meer werkt. Wie begonnen is met een G5 zoals de jouwe heeft het makkelijk als al de soft die ie nodig hebt daarop draait: niet meer updaten. Afblijven. Nieuwe soft installeren ligt echter moeilijker: je hebt daar gearchiveerde installers voor nodig, en dat is een hele zoektocht als het niet jouw eigen archief is.
      - 10.4.11 Tiger (Combo Updater) loopt het best op jouw G5. 10.5.8 (Combo Updater) wellicht ook goed, maar mogelijk niet meer optimaal.
      - Grootste handicap is wellicht het internet, meer bepaald Flash video. Welnu: bekijk eens TenFourFox, een Mozilla fork geoptimaliseerd voor Power PC. Ikzelf heb dat een aantal jaar gedraaid op mijn PB G4, maar de afwezigheid van Flash Video daarin blijkt nog steeds een handicap. Nu zijn ze wellicht echter aan HTML5, dus dat kan al vlot lopen.
      http://www.floodgap.com/ (héél wat meer dan enkel 10.4Fox); http://www.floodgap.com/software/tenfourfox/
      Misschien kan je hiermee wat langer met je G5 blijven werken. Vragen zijn steeds welkom.
      Sinds ik beschikking heb over verschillende recentere gerepareerde Macs met nieuwere soft ben ikzelf wat lui geworden, sorry... Onderschrift blijft hetzelfde. En mijn geliefde AV werkpaardje voor tijdens voorstellingen blijft een PowerBook G4 1,67 (Quicktime Pro met Perian, VLC, Reaper, Chamsys, Qlab...)
    1. iClaudia's Avatar
      iClaudia -
      Citaat Oorspronkelijk geplaatst door cyrano Bekijk Berichten
      Omgerekend moet je rekenen op een "Apple Tax" van zo'n 50 euro per maand om bij te blijven. Dat is één MB Pro per drie-vier jaar, of één ipad per jaar of per twee jaar, grofweg.
      Dus mijn iPad2 uit mid 2011 is waardeloos als ik die redenering volg, en kan niet meer mee...
      Als ik goed kan rekenen is die nu 3 jaar oud, draait vlotjes iOS 7, synched zonder problemen met iTunes 11 onder Mavericks en ben nog geen Apps tegen gekomen die hij niet meer lust.
      iOS 8 dat er aankomt zal ook nog ondersteund worden op de iPad2. Dus een jaar of twee kan die minimaal nog mee, zelfs al zou iOS 8 de laatste versie zijn. Dan zit ik makkelijk aan 5 jaar heel veel plezier er van gehad te hebben.
      Dat komt op een afschrijving van 12 euro per maand. Voor dat geld zou ik hem nooit willen missen!
Alle tijden zijn GMT +1. Het is nu 01:10. Powered by vBulletin® Version 4.1.11
Copyright © 2017 vBulletin Solutions, Inc. All rights reserved. Copyright InterMactivity.be 2010